deleteArtifactFolder
curl --request DELETE \
--url https://api.askparable.com/api/artifacts/folder \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/artifacts/folder"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/artifacts/folder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/artifacts/folder"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"deletedCount": 123
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}deleteArtifactFolder
DELETE /api/artifacts/folder?path=
Soft-delete every non-deleted artifact whose path equals or descends
from path for the current workspace. Returns the number of artifacts
deleted. Refused for any artifact in the subtree that has a published
TenantConnectorTap.
DELETE
/
api
/
artifacts
/
folder
deleteArtifactFolder
curl --request DELETE \
--url https://api.askparable.com/api/artifacts/folder \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.askparable.com/api/artifacts/folder"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.askparable.com/api/artifacts/folder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.askparable.com/api/artifacts/folder"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"deletedCount": 123
},
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
Example:
"acme"
Optional request correlation ID echoed back in the response.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Hierarchical path expressed as a dot-separated ltree (e.g., 'reports.q1.draft').